commit:     f695d24927887e99e09a144e877bcd592ad7ad0c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 22 07:14:10 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 22 08:07:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f695d249

dev-python/fonttools: Bump to 4.28.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/fonttools/Manifest                |  1 +
 dev-python/fonttools/fonttools-4.28.2.ebuild | 54 ++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index ef633a894f23..cd3dc815738f 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,3 +1,4 @@
 DIST fonttools-4.26.2.tar.gz 2579391 BLAKE2B 
35a2533a336498aa1d5b9c2a61c1de6af03e6a7a1932a1ad71522f7f73e52590c347fe3e7d60b93b013389023792e6e6b91d6b4bfb92e007062dc2ac494adbb6
 SHA512 
2caa52a48574e6bdf418fe57fb4ca69686eeae65cb1f44c0cb16c64400ea666530dfcca9e8a619859cf553435f93b38f63e422c315206ecec467eed6339a5987
 DIST fonttools-4.28.0.tar.gz 2654535 BLAKE2B 
2bdde1a5c9184574e220bf3fa5dea04ae0e4ab8bb85bb8893e38e96cd028dc6cdcb88b21a9d12429292fe9cb282a90ce7b3abf4f17dea95df52165f5f4d0da0c
 SHA512 
6fddef1d065001afd63147fc474c49f7799895aafddb37b3c94e981fa86e829b39865a40c61e3bf1e64f64a40cf4d5ae02fa98fcf7c89d3f893a2588d213427d
 DIST fonttools-4.28.1.tar.gz 2654329 BLAKE2B 
4d1f2f5caea6ee3ae73a7791ad34da0c49353ef8b8f834c29e990c3c937b05bfdbf32474a4279c9f32f9fce78b4935ba9ba8434576b318b70736c1e14763eb70
 SHA512 
abcc8b182436feae8e1cfe263488c87f2351079d25a2211529ccf3401a9533f5322a7028d20ba0e31405ec3acad369b46d3b07bf8b4dfe16e43f48859fc5a29f
+DIST fonttools-4.28.2.tar.gz 2940111 BLAKE2B 
32f67f2c270520d9e2091052242e504b9a8e459a87f233e22f50bfe3d17309a09a3c7ad5da20a3411df1c7c58b790dd395535407fdeddb02e7391c28d8d08fa3
 SHA512 
0295c571e92e71f6467b06bd89afacae76861e374147a2051fe3f5323176c3f3458b977ba2ed25cadcdba9e55b325b6febc50bc9c539d8806471730a15faed47

diff --git a/dev-python/fonttools/fonttools-4.28.2.ebuild 
b/dev-python/fonttools/fonttools-4.28.2.ebuild
new file mode 100644
index 000000000000..b98e2fa9734d
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.28.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="https://github.com/fonttools/fonttools/";
+SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~x64-macos"
+
+RDEPEND=">=dev-python/fs-2.4.9[${PYTHON_USEDEP}]"
+BDEPEND="
+       ${RDEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? (
+               app-arch/brotli[python,${PYTHON_USEDEP}]
+               app-arch/zopfli
+       )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # When dev-python/pytest-shutil is installed, we get weird import 
errors.
+       # This is due to incomplete nesting in the Tests/ tree:
+       #
+       #   Tests/feaLib/__init__.py
+       #   Tests/ufoLib/__init__.py
+       #   Tests/svgLib/path/__init__.py
+       #   Tests/otlLib/__init__.py
+       #   Tests/varLib/__init__.py
+       #
+       # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+       touch Tests/svgLib/__init__.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+src_configure() {
+       DISTUTILS_ARGS=( --with-cython )
+}
+
+python_test() {
+       distutils_install_for_testing
+       # virtualx used when matplotlib is installed causing plot module tests 
to run
+       virtx epytest Tests fontTools
+}

Reply via email to